import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api//blade-manager/trial/param/compaction/page',
    method: 'get',
    params: {
      ...params,
      current,
      size
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/blade-manager/trial/param/compaction/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/blade-manager/trial/param/compaction/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-manager/trial/param/compaction/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-manager/trial/param/compaction/submit',
    method: 'post',
    data: row
  })
}
//导入参数
// 上传导入模板
export const importParam = (row) => {
    return request({
        // ty  application/json
        url: '/api/blade-manager/trial/param/compaction/import-excel',
        method: 'post',
        data: row
    })
}
